from flask_wtf import FlaskForm
from flask_wtf.file import FileField, FileRequired, FileAllowed
from wtforms import MultipleFileField
from wtforms import SubmitField

class FileForm(FlaskForm):
    """
    Pdf upload form
    """
    files = MultipleFileField(
        'Pdf ke spojení',
        validators=[
            # FileRequired(
            #     'Nahraj PDF soubory.'
            # ),
            FileAllowed(
                ['pdf'], 'Pouze PDF!'

            )
        ]
        # render_kw={
        #     'multiple': True
        # }
    )
